﻿using System.ComponentModel;

namespace MedicalDatabaseContracts.ViewModels
{
    public class PatientViewModel : AbstractPersonViewModel
    {
        [DisplayName("Пол")]
        public string Gender { get; set; } = string.Empty;
        [DisplayName("Дата рождения")]
        public DateTime Birthday { get; set; }
        [DisplayName("Вес, кг")]
        public int Weight { get; set; }
        [DisplayName("Рост, см")]
        public int Height { get; set; }
        public override string ToString()
        {
            return GetFIO() + ", " + Birthday.ToShortDateString();
        }
    }
}
