﻿using MedicalDatabaseContracts;
using MedicalDatabaseContracts.Models;
using MedicalDatabaseContracts.SearchModels;
using MedicalDatabaseContracts.ViewModels;
using MedicalView.Visits;
using Microsoft.Extensions.Logging;

namespace MedicalView.Diagnoses
{
    public class FormDiagnoses : FormAbstractList<Diagnose, DiagnoseViewModel, DiagnoseSearchModel, FormDiagnose>
    {
        public FormDiagnoses(
            ILogger<FormDiagnoses> logger,
            ILogic<Diagnose, DiagnoseViewModel, DiagnoseSearchModel> logic) : base(logger, logic)
        {
            Text = "Список диагнозов";
        }
    }
}
