﻿using MedicalDatabaseContracts;
using MedicalDatabaseContracts.Models;
using MedicalDatabaseContracts.SearchModels;
using MedicalDatabaseContracts.ViewModels;
using Microsoft.Extensions.Logging;

namespace MedicalView.Specializations
{
    public class FormSpecializations : FormAbstractList<Specialization, SpecializationViewModel, SpecializationSearchModel, FormSpecialization>
    {
        public FormSpecializations(
            ILogger<FormSpecializations> logger,
            ILogic<Specialization, SpecializationViewModel, SpecializationSearchModel> logic) : base(logger, logic)
        {
            Text = "Список специализаций";
        }
    }
}
